#===============================================================================#
#                                                                               #
#                rmem executable model                                          #
#                =====================                                          #
#                                                                               #
#  This file is:                                                                #
#                                                                               #
#  Copyright Shaked Flur, University of Cambridge 2016-2017                     #
#                                                                               #
#  All rights reserved.                                                         #
#                                                                               #
#  The rmem tool is distributed under the 2-clause BSD license in LICENCE.txt.  #
#  For contributor information see CONTRIBUTORS.txt.                            #
#                                                                               #
#===============================================================================#

ITERATIONS="$1"
[ -n "$ITERATIONS" ] || ITERATIONS=1

rm -f done

{ echo "-s 50k  -r 200"
  echo "-s 500k -r 20"
  echo "-s 10k  -r 1k"
  echo "-s 100k -r 100"
  echo "-s 5k   -r 2k"
  echo "-s 1M   -r 10"
} > run_config.args

STRIDES="1 2 3 4 5 6 7 8 31 133"

./run.exe -s 5k -r 20 -st 1 &> run.test.litmus_log

iter=0
log=0
while [ $iter -lt $ITERATIONS ]; do
  while read args ; do
    for st in $STRIDES; do
      logfile=`printf 'run.%03X.litmus_log' "$log"`
      log=$((log+1))
      [ -f "$logfile" ] || ./run.exe $args -st "$st" > "$logfile"
    done
  done < run_config.args
  iter=$((iter+1))
done

touch done
